%define qtdir		/usr/lib/qt2
%define KDEDATE		20001018
%define sourcedir	stable/%{version}/distribution/tar/generic/source
%define	prefix		%_prefix

Name:		kdemultimedia
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Multimedia
Version:	2.0
Release:	4mdk
Epoch:		1

Source:		ftp://ftp.kde.org:/pub/kde/%{sourcedir}/kdemultimedia-%{KDEDATE}-src.tar.bz2
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Copyright:	GPL
Requires:	kdesupport, kdelibs, qt2
Obsoletes:	aktion, kmpg

%description
Multiedia tools for the K Desktop Environment.

%package devel
Group:		Graphical desktop/KDE
Summary:	Header files for the kdemultimedia package
Requires:	kdemultimedia

%description devel
The header files needed for developing kdemultimedia applications.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -nkdemultimedia

%build
make -f Makefile.cvs
export KDEDIR=%_prefix QTDIR=%{qtdir}
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti -I%{prefix}/include" \
	./configure %{_target_cpu}-mandrake-linux \
		    --prefix=%_prefix \
		    --with-install-root=$RPM_BUILD_ROOT \
		    --disable-rpath \
		    --disable-debug


%make CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -frtti"

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kmidi/common
mv $RPM_BUILD_ROOT/usr/bin/timidity $RPM_BUILD_ROOT/usr/bin/ktimidity

##menus created
mkdir -p $RPM_BUILD_ROOT%{_menudir}

kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Video $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/aktion.desktop $RPM_BUILD_ROOT%{_menudir}/aktion
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/artsbuilder.desktop $RPM_BUILD_ROOT%{_menudir}/artsbuilder
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/artscontrol.desktop $RPM_BUILD_ROOT%{_menudir}/artscontrol
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/kaiman.desktop $RPM_BUILD_ROOT%{_menudir}/kaiman
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/kmid.desktop $RPM_BUILD_ROOT%{_menudir}/kmid
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/kmidi.desktop $RPM_BUILD_ROOT%{_menudir}/kmidi
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/kmix.desktop $RPM_BUILD_ROOT%{_menudir}/kmix
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/kscd.desktop $RPM_BUILD_ROOT%{_menudir}/kscd
#kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound $RPM_BUILD_ROOT/usr/share/applnk/Multimedia/timidity.desktop $RPM_BUILD_ROOT%{_menudir}/ktimidity
kdedesktop2mdkmenu.pl kdemultimedia Configuration/Other $RPM_BUILD_ROOT/usr/share/applnk/Settings/Sound/kmix.desktop $RPM_BUILD_ROOT%{_menudir}/kcmix

perl -pi -e 's,title="Midi/,title="Midi and ,' $RPM_BUILD_ROOT%{_menudir}/kmid

rm -rf $RPM_BUILD_ROOT/usr/share/applnk

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/*
%_bindir/*
%_datadir/*

%files devel
%defattr(-,root,root,-)
%_includedir/*

%changelog
* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-4mdk
- Fix typo in Description

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-3mdk
- Move aktion! in Multimedia/Video (Menu)
- Clean spec

* Wed Oct 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Updated code for some showstoppers addressed by kde team

* Tue Oct 17 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0-1mdk
- release 2.0

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-3mdk
- Updated code because of fixes in artsd in kdelibs.

* Wed Oct 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated code because of build problem with our CXXX flags in kmid

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code to release candidate 1

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-11mdk
- Updated code

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Fix requires typo. SHould not require qt but qt2.

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code snapshots

* Thu Sep 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.94-2mdk
- removed update_menus from %postun section, we need only clean_menus
- removed "/" from kmid menu entry because it makes a submenu where
  not needed
- use _menudir
- use our target cpu instead of letting configure guess [potential
  problems on Pentium processors for example!]

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code snapshots

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code snapshots

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code snapshots

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code snapshots

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Solved conflict with timidity

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code snapshots

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code snapshots
- Added menu conversion tool to better handle menu entries

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code snapshots

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code snapshots
- Added menu entries
- Fixed some rpmlint problems

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code snapshots

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code snapshots

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code snapshots

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code snapshots

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code snapshots

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code snapshots

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code snapshots
- noatun and mpeglib_artsplug didn't compile

* Sat Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code snapshots

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code snapshots

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code snapshots

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code snapshots

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- Changed package name
- Moved to /usr

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- Enabled doc compilation.

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code snapshot
- kmix not included in this package - to broken

* Wed Jun 14 2000 Christopher Molnar <molnarc@mandrakesoft.com>
-  1.91-0.20000614mdk
- Updated code

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Compiled for Mandrake and updated spec file and beta
- More recent snapshot includes fixes for beta

* Wed May 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.90

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com> 
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release
- ripped out asteroids and sirtet

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for new libstdc++ etc.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane, change /opt/kde --> /usr

